Page MenuHomePhabricator

Set the default for -bbsections-cold-text-prefix to .text.split.
ClosedPublic

Authored by snehasish on Oct 7 2020, 11:54 AM.

Details

Summary

After using this for a while, we find that it is generally useful to
have it set to .text.split. by default, removing the need for an
additional -mllvm option.

Diff Detail

Event Timeline

snehasish created this revision.Oct 7 2020, 11:54 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 7 2020, 11:54 AM
snehasish requested review of this revision.Oct 7 2020, 11:54 AM
snehasish updated this revision to Diff 296766.Oct 7 2020, 12:10 PM

Updated tests to use .text.split. prefix.

This LGTM as there is an option to keep it in ".text.unlikely" if desired. Please wait for Eric's response too. Thanks!

MaskRay added a subscriber: MaskRay.Oct 8 2020, 6:08 PM

Please fix the comment in TargetLoweringObjectFileImpl.cpp:879

snehasish updated this revision to Diff 297100.Oct 8 2020, 6:24 PM

Update comment and rebase.

MaskRay accepted this revision.Oct 8 2020, 6:35 PM
MaskRay added inline comments.
llvm/lib/CodeGen/TargetLoweringObjectFileImpl.cpp
870

.text.split -> .text.split.

This revision is now accepted and ready to land.Oct 8 2020, 6:35 PM
snehasish updated this revision to Diff 297105.Oct 8 2020, 6:36 PM

Update prefix to .text.split.

snehasish marked an inline comment as done.Oct 8 2020, 6:38 PM

Thanks for the review.

echristo accepted this revision.Oct 14 2020, 10:43 AM